Last Comment Bug 770656 - OS Idle API idle fuzz factor fix
: OS Idle API idle fuzz factor fix
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla16
Assigned To: bsurender
:
Mentors:
https://wiki.mozilla.org/WebAPI/IdleAPI
Depends on:
Blocks: 715041
  Show dependency treegraph
 
Reported: 2012-07-03 13:38 PDT by bsurender
Modified: 2012-07-06 07:49 PDT (History)
30 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
OS Idle API idle notification privacy/security fix (6.97 KB, patch)
2012-07-04 15:02 PDT, bsurender
jst: review+
jst: checkin+
Details | Diff | Review

Description bsurender 2012-07-03 13:38:59 PDT
The idle fuzz factor needs to be uniformly applied for each idle notification to each idle observer. This bug currently blocks bug 715041 OS Idle API.
Comment 1 bsurender 2012-07-04 15:02:01 PDT
Created attachment 639188 [details] [diff] [review]
OS Idle API idle notification privacy/security fix

OS Idle API 

- Fix for fuzz time for idle notifications.
- Almost green tree on try. Waiting for WinXP tests to complete and re-running of Android failed tests. Intermediate try test results and comments for failed tests available at https://tbpl.mozilla.org/?tree=Try&pusher=bsurender@mozilla.com

Will request review from jst once try results are complete.
Comment 2 bsurender 2012-07-04 17:10:39 PDT
original run
https://tbpl.mozilla.org/?tree=Try&rev=637c12665ec7

windows and android tests re-run
https://tbpl.mozilla.org/?tree=Try&rev=094261c936a2
Comment 3 Johnny Stenback (:jst, jst@mozilla.com) 2012-07-05 17:48:08 PDT
Comment on attachment 639188 [details] [diff] [review]
OS Idle API idle notification privacy/security fix

https://hg.mozilla.org/integration/mozilla-inbound/rev/9cf3bee9d5c1
Comment 4 :Ehsan Akhgari (busy, don't ask for review please) 2012-07-06 07:49:37 PDT
https://hg.mozilla.org/mozilla-central/rev/9cf3bee9d5c1

Note You need to log in before you can comment on or make changes to this bug.